## visad.data.dods
Class GridVariableMapAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.VariableAdapter
              visad.data.dods.GridVariableMapAdapter

public class GridVariableMapAdapter
extends VariableAdapter

Provides support for adapting the map vectors of a DODS `DGrid` variable to the `visad.data.in` context.

Instances are immutable.

Method Summary
`DataImpl` `data(DArray array, boolean copy)` Returns a VisAD data object corresponding to a map vector of a DODS grid.
`MathType` `getMathType()` Returns the VisAD `MathType` of this instance.
`static GridVariableMapAdapter` `gridVariableMapAdapter(DArray array, DAS das, VariableAdapterFactory factory)`

Methods inherited from class visad.data.dods.VariableAdapter
`data, data, data, data, data, data, data, data, data, data, data, data, data, data, getRepresentationalSets, mathType`

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### gridVariableMapAdapter

    public static GridVariableMapAdapter gridVariableMapAdapter(DArray array,
                                                                DAS das,
                                                                VariableAdapterFactory factory)
                                                         throws VisADException,
                                                                RemoteException

  Throws:
    `VisADException`
    `RemoteException`

### getMathType

    public MathType getMathType()

  Description copied from class: `VariableAdapter`
  Returns the VisAD `MathType` of this instance.

  Specified by:
    `getMathType` in class `VariableAdapter`
  Returns:
    The MathType of this instance.

### data

    public DataImpl data(DArray array,
                         boolean copy)
                  throws VisADException,
                         RemoteException

  Returns a VisAD data object corresponding to a map vector of a DODS grid.

  Overrides:
    `data` in class `VariableAdapter`
  Parameters:
    `array` - An array that contains data and is compatible with the array used during construction.
    `copy` - If true, then data values are copied.
  Returns:
    The VisAD data object corresponding to the adapted map vector. The (super)class of the returned object is `GriddedSet`.
  Throws:
    `VisADException` - Don't know how to create a VisAD data object from the given DODS variable.
    `RemoteException`